Subject: bug#75794: [PATCH] feat(icomplete): markers and vertical alignment

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2025 12:12:22 +0200

> From: Rahul Martim Juliato <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Feb 2025 17:17:07 -0300
> 
> Given current `icomplete-vertical--adjust-lines-for-column', I think we
> could fix:
> 
> - 3) maybe with some "align to the right". Is there a any helper
>   function that would take some content and print it fitting
>   right-aligned or I'd have to implement it myself?
> 
> - 6, 7) Here I think the trick is having a way to check current column position,
>   vs. visual total columns (I mean the total columns of any line wrapped
>   or not fitting the current window), if current column is greater than
>   the later, we subtract the visual total columns, so it is aligned.
>   Again, are there helper functions to make this positioning of the
>   cursor and window,column,width querying easier?

I'm not sure I understand what helper functions you are looking for.
The function window-hscroll will tell you by how many columns the
current window is scrolled horizontally -- is that what you are
looking for?